package cn.feast.coding.mapper.system;


import cn.feast.coding.model.system.Permission;

import java.util.List;
import java.util.Map;

/**
 * Created By FeastCoding.
 */
public interface PermissionMapper {
    Integer save(Permission model);

    void update(Permission model);

    void deleteById(Integer id);

    int queryByCount(Permission model);

    List<Permission> queryByList(Map paramsMap);

    List<Permission> queryByPermission(Permission model);

    Permission queryById(Integer id);
}